Infrastructure - Bug #5497

Click "View full metadata"” on the search result of onemercury and get an error.
2014-06-17 17:52 - Jing Tao

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Skye Roseboom % Done: 100%
Category: d1_mercury Estimated time: 0.00 hour
Target version:

Milestone: None Story Points:

Product Version: *

Description

1. Type % on the search box of https:/cn.dataone.org/onemercury and click search

2. Click the "View full metadata" of the first result.

3. Get an error like: org.springframework.web.util. NestedServletException: Request processing failed; nested exception is
java.lang.StringIndexOutOfBoundsException: String index out of range: 7
org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:583)
org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:501)
javax.servlet.http.HttpServlet.service(HttpServlet.java:617) javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
org.webdroid.catnip.filter.BadInputFilter.doFilter(BadInputFilter.java:398)

Note not all of link has the issue. Here is the link has thei |ssue

atasource PISCO%ZOMN&fuII _queryString= %20text%20 %20%25%20AND%20has%20data&ds |d_

Related issues:

Related to Infrastructure - Story #5471: CCl 1.3.0 release Closed 2014-06-13 2014-07-19
Blocks Infrastructure - Task #5509: tag and release oneMercury 1.2.5 Closed 2014-06-18
History

#1 - 2014-06-17 17:54 - Skye Roseboom

- Category set to d1_mercury

#2 - 2014-06-18 19:48 - Skye Roseboom
- Tracker changed from Task to Bug

- Status changed from New to In Progress
- Start date deleted (2014-06-17)

- translation missing: en.field_remaining_hours set to 0.0

#3 - 2014-06-30 19:40 - Skye Roseboom

- Status changed from In Progress to Testing

#4 - 2014-06-30 19:42 - Skye Roseboom
Updated

Mercury3Properties.xml (murcury-ui) and SolrTransactionServiceVersion1_1 (mercury_common)

#5 - 2014-07-02 17:00 - Skye Roseboom

Placed updates on 1.2 release branch of mercury-common and mercury-ui for testing and release in cci 1.3

#6 - 2014-07-22 14:59 - Skye Roseboom
https://cn.dataone.org/onemercury
https://cn.dataone.org/onemercury/send/xsltText2?pid=doi:10.6085/AA/SHLX00_XXXIBTNXTSR01_20120815.40.1&fileURL=&full_datasource=PISCO%20MN&full_queryString=%20text%20:%20%25%20AND%20has%20data&ds_id=
https://cn.dataone.org/onemercury/send/xsltText2?pid=doi:10.6085/AA/SHLX00_XXXIBTNXTSR01_20120815.40.1&fileURL=&full_datasource=PISCO%20MN&full_queryString=%20text%20:%20%25%20AND%20has%20data&ds_id=

- Status changed from Testing to Closed

Tested in cn-sandbox environment. searching with % no longer returns non-metadata results.
